Index: main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/permissions.py
===================================================================
--- main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/permissions.py	(revision 11946)
+++ main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/permissions.py	(revision 11947)
@@ -44,9 +44,9 @@
     grok.name('waeup.Authenticated')
 
-class ViewAcademicsPermission(grok.Permission):
-    grok.name('waeup.viewAcademics')
-
-class ManageAcademicsPermission(grok.Permission):
-    grok.name('waeup.manageAcademics')
+class ViewProductsPermission(grok.Permission):
+    grok.name('waeup.viewProducts')
+
+class ManageProductsPermission(grok.Permission):
+    grok.name('waeup.manageProducts')
 
 class ManagePortal(grok.Permission):
@@ -56,13 +56,4 @@
     grok.name('waeup.manageUsers')
 
-class ShowStudents(grok.Permission):
-    grok.name('waeup.showStudents')
-
-class ClearAllStudents(grok.Permission):
-    grok.name('waeup.clearAllStudents')
-
-class EditScores(grok.Permission):
-    grok.name('waeup.editScores')
-
 class EditUser(grok.Permission):
     grok.name('waeup.editUser')
@@ -104,166 +95,4 @@
 
 # Local Roles
-class ApplicationsManager(grok.Role):
-    grok.name('waeup.local.ApplicationsManager')
-    grok.title(u'Applications Manager')
-    grok.permissions('waeup.viewAcademics')
-
-class DepartmentManager(grok.Role):
-    grok.name('waeup.local.DepartmentManager')
-    grok.title(u'Department Manager')
-    grok.permissions('waeup.manageAcademics',
-                     'waeup.showStudents',
-                     'waeup.exportData')
-
-class DepartmentOfficer(grok.Role):
-    grok.name('waeup.local.DepartmentOfficer')
-    grok.title(u'Department Officer')
-    grok.permissions('waeup.showStudents',
-                     'waeup.viewAcademics',
-                     'waeup.exportPaymentsOverview')
-
-class ClearanceOfficer(grok.Role):
-    """The clearance officer role is meant for the
-    assignment of dynamic roles only.
-    """
-    grok.name('waeup.local.ClearanceOfficer')
-    grok.title(u'Clearance Officer')
-    grok.permissions('waeup.showStudents',
-                     'waeup.viewAcademics',
-                     'waeup.exportData',
-                     'waeup.clearAllStudents')
-
-class LocalStudentsManager(grok.Role):
-    """The local students manager role is meant for the
-    assignment of dynamic roles only.
-    """
-    grok.name('waeup.local.LocalStudentsManager')
-    grok.title(u'Students Manager')
-    grok.permissions('waeup.showStudents',
-                     'waeup.viewAcademics',
-                     'waeup.exportData')
-
-class LocalWorkflowManager(grok.Role):
-    """The local workflow manager role is meant for the
-    assignment of dynamic roles only.
-    """
-    grok.name('waeup.local.LocalWorkflowManager')
-    grok.title(u'Student Workflow Manager')
-    grok.permissions('waeup.showStudents',
-                     'waeup.viewAcademics',
-                     'waeup.exportData')
-
-class UGClearanceOfficer(grok.Role):
-    """The clearance officer role is meant for the
-    assignment of dynamic roles only.
-    """
-    grok.name('waeup.local.UGClearanceOfficer')
-    grok.title(u'UG Clearance Officer')
-    grok.permissions('waeup.showStudents',
-                     'waeup.viewAcademics',
-                     'waeup.exportData',
-                     'waeup.clearAllStudents')
-
-class PGClearanceOfficer(grok.Role):
-    """The clearance officer role is meant for the
-    assignment of dynamic roles only.
-    """
-    grok.name('waeup.local.PGClearanceOfficer')
-    grok.title(u'PG Clearance Officer')
-    grok.permissions('waeup.showStudents',
-                     'waeup.viewAcademics',
-                     'waeup.exportData',
-                     'waeup.clearAllStudents')
-
-class CourseAdviser100(grok.Role):
-    """The 100 level course adviser role is meant for the
-    assignment of dynamic roles only.
-    """
-    grok.name('waeup.local.CourseAdviser100')
-    grok.title(u'Course Adviser 100L')
-    grok.permissions('waeup.showStudents',
-                     'waeup.viewAcademics',
-                     'waeup.exportData')
-
-class CourseAdviser200(grok.Role):
-    """The course 200 level adviser role is meant for the
-    assignment of dynamic roles only.
-    """
-    grok.name('waeup.local.CourseAdviser200')
-    grok.title(u'Course Adviser 200L')
-    grok.permissions('waeup.showStudents',
-                     'waeup.viewAcademics',
-                     'waeup.exportData')
-
-class CourseAdviser300(grok.Role):
-    """The 300 level course adviser role is meant for the
-    assignment of dynamic roles only.
-    """
-    grok.name('waeup.local.CourseAdviser300')
-    grok.title(u'Course Adviser 300L')
-    grok.permissions('waeup.showStudents',
-                     'waeup.viewAcademics',
-                     'waeup.exportData')
-
-class CourseAdviser400(grok.Role):
-    """The 400 level course adviser role is meant for the
-    assignment of dynamic roles only.
-    """
-    grok.name('waeup.local.CourseAdviser400')
-    grok.title(u'Course Adviser 400L')
-    grok.permissions('waeup.showStudents',
-                     'waeup.viewAcademics',
-                     'waeup.exportData')
-
-class CourseAdviser500(grok.Role):
-    """The 500 level course adviser role is meant for the
-    assignment of dynamic roles only.
-    """
-    grok.name('waeup.local.CourseAdviser500')
-    grok.title(u'Course Adviser 500L')
-    grok.permissions('waeup.showStudents',
-                     'waeup.viewAcademics',
-                     'waeup.exportData')
-
-class CourseAdviser600(grok.Role):
-    """The 600 level course adviser role is meant for the
-    assignment of dynamic roles only.
-    """
-    grok.name('waeup.local.CourseAdviser600')
-    grok.title(u'Course Adviser 600L')
-    grok.permissions('waeup.showStudents',
-                     'waeup.viewAcademics',
-                     'waeup.exportData')
-
-class CourseAdviser700(grok.Role):
-    """The 700 level course adviser role is meant for the
-    assignment of dynamic roles only.
-    """
-    grok.name('waeup.local.CourseAdviser700')
-    grok.title(u'Course Adviser 700L')
-    grok.permissions('waeup.showStudents',
-                     'waeup.viewAcademics',
-                     'waeup.exportData')
-
-class CourseAdviser800(grok.Role):
-    """The 800 level course adviser role is meant for the
-    assignment of dynamic roles only.
-    """
-    grok.name('waeup.local.CourseAdviser800')
-    grok.title(u'Course Adviser 800L')
-    grok.permissions('waeup.showStudents',
-                     'waeup.viewAcademics',
-                     'waeup.exportData')
-
-class Lecturer(grok.Role):
-    """The lecturer role is meant for the
-    assignment of dynamic roles only.
-    """
-    grok.name('waeup.local.Lecturer')
-    grok.title(u'Lecturer')
-    grok.permissions('waeup.showStudents',
-                     'waeup.editScores',
-                     'waeup.viewAcademics',
-                     'waeup.exportData')
 
 class Owner(grok.Role):
@@ -273,19 +102,14 @@
 
 # Site Roles
-class AcademicsOfficer(grok.Role):
-    grok.name('waeup.AcademicsOfficer')
-    grok.title(u'Academics Officer (view only)')
-    grok.permissions('waeup.viewAcademics')
-
-class AcademicsManager(grok.Role):
-    grok.name('waeup.AcademicsManager')
-    grok.title(u'Academics Manager')
-    grok.permissions('waeup.viewAcademics',
-                     'waeup.manageAcademics')
-
-class ACManager(grok.Role):
-    grok.name('waeup.ACManager')
-    grok.title(u'Access Code Manager')
-    grok.permissions('waeup.manageACBatches')
+class ProductsOfficer(grok.Role):
+    grok.name('waeup.ProductsOfficer')
+    grok.title(u'Products Officer (view only)')
+    grok.permissions('waeup.viewProducts')
+
+class ProductssManager(grok.Role):
+    grok.name('waeup.ProductsManager')
+    grok.title(u'Products Manager')
+    grok.permissions('waeup.viewProducts',
+                     'waeup.manageProducts')
 
 class DataCenterManager(grok.Role):
@@ -306,11 +130,4 @@
                      'waeup.exportData')
 
-class BursaryOfficer(grok.Role):
-    grok.name('waeup.BursaryOfficer')
-    grok.title(u'Bursary Officer')
-    grok.permissions('waeup.showStudents',
-                     'waeup.viewAcademics',
-                     'waeup.exportBursaryData')
-
 class UsersManager(grok.Role):
     grok.name('waeup.UsersManager')
@@ -329,5 +146,5 @@
     grok.permissions('waeup.managePortal',
                      'waeup.manageUsers',
-                     'waeup.viewAcademics', 'waeup.manageAcademics',
+                     'waeup.viewProducts', 'waeup.manageProducts',
                      'waeup.manageACBatches',
                      'waeup.manageDataCenter',
@@ -335,19 +152,6 @@
                      'waeup.exportData',
                      'waeup.viewTranscript',
-                     'waeup.managePortalConfiguration', 'waeup.viewApplication',
-                     'waeup.manageApplication', 'waeup.handleApplication',
-                     'waeup.viewApplicantsTab', 'waeup.payApplicant',
-                     'waeup.viewApplicationStatistics',
-                     'waeup.viewStudent', 'waeup.manageStudent',
-                     'waeup.clearStudent', 'waeup.payStudent',
-                     'waeup.uploadStudentFile', 'waeup.showStudents',
-                     'waeup.clearAllStudents',
-                     'waeup.editScores',
-                     'waeup.triggerTransition',
-                     'waeup.viewStudentsContainer','waeup.viewStudentsTab',
-                     'waeup.handleAccommodation',
-                     'waeup.viewHostels', 'waeup.manageHostels',
+                     'waeup.managePortalConfiguration',
                      'waeup.editUser',
-                     'waeup.loginAsStudent',
                      'waeup.manageReports',
                      'waeup.manageJobs',
@@ -363,5 +167,5 @@
     grok.permissions(#'waeup.managePortal',
                      #'waeup.manageUsers',
-                     'waeup.viewAcademics', 'waeup.manageAcademics',
+                     'waeup.viewProducts', 'waeup.manageProducts',
                      #'waeup.manageACBatches',
                      'waeup.manageDataCenter',
@@ -369,19 +173,6 @@
                      'waeup.exportData',
                      'waeup.viewTranscript',
-                     'waeup.managePortalConfiguration', 'waeup.viewApplication',
-                     'waeup.manageApplication', 'waeup.handleApplication',
-                     'waeup.viewApplicantsTab', 'waeup.payApplicant',
-                     'waeup.viewApplicationStatistics',
-                     'waeup.viewStudent', 'waeup.manageStudent',
-                     'waeup.clearStudent', 'waeup.payStudent',
-                     'waeup.uploadStudentFile', 'waeup.showStudents',
-                     'waeup.clearAllStudents',
-                     'waeup.editScores',
-                     #'waeup.triggerTransition',
-                     'waeup.viewStudentsContainer','waeup.viewStudentsTab',
-                     'waeup.handleAccommodation',
-                     'waeup.viewHostels', 'waeup.manageHostels',
+                     'waeup.managePortalConfiguration',
                      #'waeup.editUser',
-                     #'waeup.loginAsStudent',
                      'waeup.manageReports',
                      #'waeup.manageJobs',
Index: main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/tests/test_app.py
===================================================================
--- main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/tests/test_app.py	(revision 11946)
+++ main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/tests/test_app.py	(revision 11947)
@@ -57,12 +57,4 @@
         return
 
-    def test_update_plugins(self):
-        # We can update plugins
-        setSite(self.app)
-        del self.app['accesscodes']
-        self.app.updatePlugins()
-        self.assertTrue('accesscodes' in self.app.keys())
-        return
-
     def test_jobs(self):
         # We can get the global job manager when traversing to it...
Index: main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/utils/batching.py
===================================================================
--- main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/utils/batching.py	(revision 11946)
+++ main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/utils/batching.py	(revision 11947)
@@ -338,5 +338,5 @@
                 obj = self.callFactory()
                 # Override all values in row, also
-                # student_ids and applicant_ids which have been
+                # customer ids which have been
                 # generated in the respective __init__ methods before.
                 self.updateEntry(obj, row, site, base)
Index: main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/utils/browser.py
===================================================================
--- main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/utils/browser.py	(revision 11946)
+++ main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/utils/browser.py	(revision 11947)
@@ -26,43 +26,4 @@
 
 from waeup.kofa.interfaces import IUniversity
-
-def replaceStudentMessages(old, new):
-    students = grok.getSite()['students']
-    for student in students.values():
-        history = IObjectHistory(student)
-        history.modifyMessages(old, new)
-    return
-
-def replaceApplicantMessages(old, new):
-    applicants = grok.getSite()['applicants']
-    for container in applicants.values():
-        for applicant in container.values():
-            history = IObjectHistory(applicant)
-            history.modifyMessages(old, new)
-    return
-
-def removeStudentMessage(student_id, number):
-    students = grok.getSite()['students']
-    student = students.get(student_id, None)
-    if student:
-        history = IObjectHistory(student)
-        success, text = history.removeMessage(number)
-    return success, text
-
-def removeApplicantMessage(applicant_id, number):
-    applicants = grok.getSite()['applicants']
-    try:
-        container, application_number = applicant_id.split('_')
-    except:
-        return False, 'applicant_id is wrong'
-    container = applicants.get(container, None)
-    if not container:
-        return False, 'No such container'
-    applicant = container.get(application_number, None)
-    if applicant is None:
-        return False, 'No such applicant'
-    history = IObjectHistory(applicant)
-    success, text = history.removeMessage(number)
-    return success, text
 
 class ReindexPage(UtilityView, grok.View):
@@ -95,106 +56,2 @@
         self.redirect(self.url(self.context, '@@index'))
         return
-
-class ModifyAllStudentHistory(UtilityView, grok.View):
-    """ View to modify all student histories.
-
-    """
-    grok.context(IUniversity)
-    grok.name('modify_student_history')
-    grok.require('waeup.managePortal')
-
-    def update(self,old=None, new=None):
-        if None in (old, new):
-            self.flash('Syntax: /modify_student_history?old=[old string]&new=[new string]')
-            return
-        replaceStudentMessages(old, new)
-        self.context.logger.info(
-            "'%s' replaced by '%s' in all student histories." % (old, new))
-        self.flash('Finished')
-        return
-
-    def render(self):
-        self.redirect(self.url(self.context, '@@index'))
-        return
-
-class RemoveStudentHistoryMessage(UtilityView, grok.View):
-    """ View to remove a single student history entry.
-
-    """
-    grok.context(IUniversity)
-    grok.name('remove_student_history_message')
-    grok.require('waeup.managePortal')
-
-    def update(self,student_id=None, number=None):
-        if None in (student_id, number):
-            self.flash('Syntax: /remove_student_history_message?student_id=[id]&number=[line number, starting with 0]')
-            return
-        try:
-            number=int(number)
-        except:
-            self.flash('Error')
-            return
-        success, text = removeStudentMessage(student_id, number)
-        if not success:
-            self.flash('Error: %s' % text)
-            return
-        self.context.logger.info(
-            "line '%s' removed in %s history" % (text, student_id))
-        self.flash('Finished')
-        return
-
-    def render(self):
-        self.redirect(self.url(self.context, '@@index'))
-        return
-
-class ModifyAllApplicantHistory(UtilityView, grok.View):
-    """ View to modify all student histories.
-
-    """
-    grok.context(IUniversity)
-    grok.name('modify_applicant_history')
-    grok.require('waeup.managePortal')
-
-    def update(self,old=None, new=None):
-        if None in (old, new):
-            self.flash('Syntax: /modify_applicant_history?old=[old string]&new=[new string]')
-            return
-        replaceApplicantMessages(old, new)
-        self.context.logger.info(
-            "'%s' replaced by '%s' in all applicant histories." % (old, new))
-        self.flash('Finished')
-        return
-
-    def render(self):
-        self.redirect(self.url(self.context, '@@index'))
-        return
-
-class RemoveApplicantHistoryMessage(UtilityView, grok.View):
-    """ View to remove a single applicant history entry.
-
-    """
-    grok.context(IUniversity)
-    grok.name('remove_applicant_history_message')
-    grok.require('waeup.managePortal')
-
-    def update(self,applicant_id=None, number=None):
-        if None in (applicant_id, number):
-            self.flash('Syntax: /remove_applicant_history_message?applicant_id=[id]&number=[line number, starting with 0]')
-            return
-        try:
-            number=int(number)
-        except:
-            self.flash('Error')
-            return
-        success, text = removeApplicantMessage(applicant_id, number)
-        if not success:
-            self.flash('Error: %s' % text)
-            return
-        self.context.logger.info(
-            "line '%s' removed in %s history" % (text, applicant_id))
-        self.flash('Finished')
-        return
-
-    def render(self):
-        self.redirect(self.url(self.context, '@@index'))
-        return
Index: main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/utils/helpers.py
===================================================================
--- main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/utils/helpers.py	(revision 11946)
+++ main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/utils/helpers.py	(revision 11947)
@@ -235,5 +235,5 @@
     grok.name(u'waeup.Factory')
     title = u"Create instances of ``factory``.",
-    description = u"This factory instantiates new applicant instances."
+    description = u"This factory instantiates new e.g. applicant instances."
     factory = None
 
Index: main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/utils/tests/test_converters.py
===================================================================
--- main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/utils/tests/test_converters.py	(revision 11946)
+++ main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/utils/tests/test_converters.py	(revision 11947)
@@ -38,5 +38,4 @@
     DELETION_MARKER, IGNORE_MARKER)
 from waeup.kofa.schoolgrades import ResultEntryField
-from waeup.kofa.university import Faculty
 from waeup.kofa.utils.converters import (
     IObjectConverter, IFieldConverter, DefaultFieldConverter,
Index: main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/utils/utils.py
===================================================================
--- main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/utils/utils.py	(revision 11946)
+++ main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/utils/utils.py	(revision 11947)
@@ -258,5 +258,5 @@
         """Send credentials as email.
 
-        Input is the applicant for which credentials are sent and the
+        Input is the customer for which credentials are sent and the
         password.
 
Index: main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/webservices.py
===================================================================
--- main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/webservices.py	(revision 11946)
+++ main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/webservices.py	(revision 11947)
@@ -20,67 +20,5 @@
 from zope.component import getUtility
 from zope.catalog.interfaces import ICatalog
-from waeup.kofa.payments.interfaces import IPayer
-from waeup.kofa.interfaces import IUniversity, academic_sessions_vocab
-
-class PaymentDataWebservice(grok.View):
-    """A simple webservice to publish payment and payer details on request from
-    accepted IP addresses without authentication.
-
-    """
-    grok.context(IUniversity)
-    grok.name('paymentrequest')
-    grok.require('waeup.Public')
-
-    #ACCEPTED_IP = ('174.36.230.28', )
-    ACCEPTED_IP = ('127.0.0.1', )
-
-    def update(self, P_ID=None):
-        if P_ID == None:
-            self.output = '-1'
-            return
-        real_ip = self.request.get('HTTP_X_FORWARDED_FOR', None)
-        if real_ip:
-            self.context.logger.info('PaymentDataWebservice called: %s' % real_ip)
-        if real_ip and self.ACCEPTED_IP:
-            if real_ip not in  self.ACCEPTED_IP:
-                self.output = '-4'
-                return
-        cat = getUtility(ICatalog, name='payments_catalog')
-        results = list(
-            cat.searchResults(p_id=(P_ID, P_ID), p_state=('paid', 'paid')))
-        if len(results) != 1:
-            self.output = '-1'
-            return
-        try:
-            owner = IPayer(results[0])
-            full_name = owner.display_fullname
-            reg_number = owner.reg_number
-            matric_number = owner.matric_number
-            faculty = owner.faculty
-            department = owner.department
-        except (TypeError, AttributeError):
-            self.output = '-3'
-            return
-        amount = results[0].amount_auth
-        payment_category = results[0].category
-        payment_item = results[0].p_item
-        academic_session = academic_sessions_vocab.getTerm(
-            results[0].p_session).title
-        self.output = (
-            'FULL_NAME=%s&' +
-            'FACULTY=%s&' +
-            'DEPARTMENT=%s&' +
-            'PAYMENT_ITEM=%s&' +
-            'PAYMENT_CATEGORY=%s&' +
-            'ACADEMIC_SESSION=%s&' +
-            'MATRIC_NUMBER=%s&' +
-            'REG_NUMBER=%s&' +
-            'FEE_AMOUNT=%s') % (full_name, faculty,
-            department, payment_item, payment_category,
-            academic_session, matric_number, reg_number, amount)
-        return
-
-    def render(self):
-        return self.output
+from waeup.kofa.interfaces import IUniversity, application_sessions_vocab
 
 class XMLRPCPermission(grok.Permission):
